# $Revision: 1.35.2.3 $, $Date: 2007/04/14 21:03:37 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Utility library for the Xfce desktop environment
Summary(pl):	Biblioteka narzdziowa dla rodowiska Xfce
Name:		libxfce4util
Version:	4.4.1
Release:	1
License:	BSD, LGPL
Group:		Libraries
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	0e4011c57ca2b4491e715455a40c30bc
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.3
BuildRequires:	gtk-doc-automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Basic utility non-GUI functions for Xfce.

%description -l pl
Podstawowe funkcje narzdziowe nie zwizane z GUI dla Xfce.

%package apidocs
Summary:	libxfce4util API documentation
Summary(pl):	Dokumentacja API libxfce4util
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libxfce4util API documentation.

%description apidocs -l pl
Dokumentacja API libxfce4util.

%package devel
Summary:	Development files for libxfce4util library
Summary(pl):	Pliki nagwkowe biblioteki libxfce4util
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.10.3

%description devel
Development files for the libxfce4util library.

%description devel -l pl
Pliki nagwkowe biblioteki libxfce4util.

%package static
Summary:	Static libxfce4util library
Summary(pl):	Statyczna biblioteka libxfce4util
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxfce4util library.

%description static -l pl
Statyczna biblioteka libxfce4util.

%package tools
Summary:	Tools for libxfce4util library
Summary(pl):	Narzdzia biblioteki libxfce4util
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description tools
Tools for libxfce4util library.

%description static -l pl
Narzdzia biblioteki libxfce4util.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-gtkdoc \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/xfce4

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README NEWS THANKS TODO
%attr(755,root,root) %{_libdir}/libxfce4util.so.*.*.*
%dir %{_datadir}/xfce4

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4util.so
%{_libdir}/libxfce4util.la
%dir %{_includedir}/xfce4
%{_includedir}/xfce4/libxfce4util
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfce4util.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/xfce4-kiosk-query

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxfce4util.spec,v $
Revision 1.35.2.3  2007/04/14 21:03:37  megabajt
- updated to 4.4.1

Revision 1.35.2.2  2007/01/28 18:57:06  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.44  2007/01/21 18:57:31  megabajt
- updated to 4.4.0
- added apidocs subpackage

Revision 1.43  2007/01/04 16:03:42  arekm
- rel 2

Revision 1.42  2006/11/05 17:40:27  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- updated deps

Revision 1.41  2006/09/06 10:10:53  charles
- BR: gettext-devel

Revision 1.40  2006/09/04 11:25:23  megabajt
- updated to 4.3.99.1

Revision 1.39  2006/07/24 18:18:40  freetz
- rel.2, removed LDFLAGS

Revision 1.38  2006/07/16 11:29:01  freetz
- merged from DEVEL

Revision 1.37.2.9  2006/07/16 11:27:19  freetz
- 4.3.90.2, use common aclocal dir for m4 macros, updated deps, --as-needed
  support

Revision 1.37.2.8  2006/05/19 01:53:42  undefine
- rel 4.. fix (sleep!)

Revision 1.37.2.7  2006/05/19 01:42:46  undefine
- create dir :> (and sleep())

Revision 1.37.2.6  2006/05/19 01:38:19  undefine
- back %dir %{_datadir}/xfce4

Revision 1.37.2.5  2006/05/17 02:20:05  charles
- BR: gtk-doc-automake

Revision 1.37.2.4  2006/04/18 21:44:06  freetz
- really cleaned up

Revision 1.37.2.3  2006/04/18 21:32:18  freetz
- typo

Revision 1.37.2.2  2006/04/18 21:26:58  freetz
- updated BR, fixed build, cleaned up

Revision 1.37.2.1  2006/04/18 19:20:43  troll
- updated to 4.3.90.1 (4.4 beta 1)

Revision 1.35.2.1  2006/07/04 18:07:51  havner
- 4.2.3.2, HEAD merge

Revision 1.37  2005/11/17 04:57:48  charles
- updated to 4.2.3.2

Revision 1.36  2005/11/09 04:01:17  troll
- updated to 4.2.3.1

Revision 1.35  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.34  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.33  2005/05/18 08:30:06  koorek
- uodated to 4.2.2

Revision 1.32  2005/03/16 00:56:50  koorek
- updated to 4.2.1
- mirror url for sources

Revision 1.31  2005/02/17 20:08:10  charles
- removed unnecessary BR: gtk-doc

Revision 1.30  2005/01/17 09:59:45  troll
- updated to 4.2.0 final

Revision 1.29  2005/01/09 06:08:03  ankry
- rel. 2

Revision 1.28  2005/01/05 16:13:25  troll
- added LGPL to licences
- removed common licence file COPYING.BSD

Revision 1.27  2005/01/05 03:35:38  charles
- added COPYING.BSD to %doc

Revision 1.26  2004/12/27 21:53:04  troll
- updated to 4.1.99.3 (4.2 RC2)

Revision 1.25  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.24  2004/12/13 18:03:40  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.23  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.22  2004/11/25 21:06:16  qboosh
- gtk-doc moved to -devel (API, not user docs); BR ac 2.50

Revision 1.21  2004/11/24 22:16:20  troll
- merged from DEVEL

Revision 1.18.2.13  2004/11/16 20:57:01  dzeus
- proper BR,R

Revision 1.18.2.12  2004/11/15 20:20:02  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.18.2.11  2004/11/06 23:36:43  troll
- R: gtk-doc-common
- switched to %%{_gtkdocdir}

Revision 1.18.2.10  2004/11/06 12:51:50  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.18.2.9  2004/10/07 05:21:03  troll
- up to 4.1.90 (4.2 beta 1)

Revision 1.18.2.8  2004/08/16 18:58:18  havner
- [mass commit] 20040816
- not tested yet

Revision 1.18.2.7  2004/08/13 15:31:11  havner
- proper version
- 20040813

Revision 1.18.2.6  2004/08/06 21:15:40  havner
- 20040806
- tools subpackage

Revision 1.18.2.5  2004/07/29 23:59:48  troll
- more insanity - 4.1.13 (nope, this time not based on date)

Revision 1.18.2.4  2004/06/20 21:52:02  jpc
- BR: gtk-doc (but why? there aren't any docs installed :P)

Revision 1.18.2.3  2004/06/16 16:48:17  jpc
- fixed -static subpackage Group

Revision 1.18.2.2  2004/06/16 15:17:05  jpc
- fix BRs

Revision 1.18.2.1  2004/06/16 15:15:47  jpc
- new snap 20040616
- autotoolize

Revision 1.18  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.17  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.16  2004/04/16 22:16:22  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.15  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.14  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.13  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.12  2003/12/27 21:17:31  undefine
- copy config.sub to allow build on amd64

Revision 1.11  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.10  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.9  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.8  2003/08/27 08:53:14  pascalek
- updated to 3.99.3

Revision 1.7  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.6  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.5  2003/07/07 07:18:45  pascalek
- updated to 3.91.0

Revision 1.4  2003/06/18 07:40:36  qboosh
- BR: pkgconfig

Revision 1.3  2003/06/16 14:16:20  qboosh
- -devel R: glib2-devel

Revision 1.2  2003/06/16 14:11:27  qboosh
- pl, cleanups, added docs, fixed file lists

Revision 1.1  2003/06/14 17:37:57  pascalek
- initila release
